FLASH Tech Tip - Facility Explorer Field Controllers with Version 6.2 Firmware

BE_thumb_facilityexplorer.jpg

Subject: FX field controller firmware upgrade packages at version 6.2.2.6

Firmware upgrade package files at version 6.2.2.6 are now available for upgrading the following Facility Explorer (FX) field equipment controllers that are currently running boot and main code at version 6.2:

  • Advanced Application Programmable Controllers (FX-PCAs)

  • General Purpose Programmable Controllers (FX-PCGs)

  • Expansion Input/Output Modules (FX-PCXs)

  • Programmable Variable Air Volume Box Controllers (FX-PCVs)

The 6.2.2.6 firmware upgrade is cumulative and includes the firmware updates from version 6.2.0.2401

Problem

The firmware upgrade fixes the controller issues summarized in the following table.

Table 1: Summary Resolved Issues

tech tip.png


Firmware Package Location

Download the firmware package files by logging into the HVAC Navigator website:

https://www.hvacnavigator.com/

Under FX-Pro Community, go to Software Downloads > FX-PCT Application Files. The file to download is FXFieldControllerPackageFiles6.2.2.6.zip

Method

Programming and Commissioning Tool (FX - PCT) Version 10.3

Solution

Import the 6.2.2.6 firmware package files into FX-PCT 10.3. After the import, the 6.2.2.6 firmware is available in Release Mode 10.2. Upgrade the firmware of any affected field controller that contains main code version 6.2.x.x. Refer to the Instructions below and Controller Tool Help (LIT - 12011147) for more details.

Instructions

To import the firmware package files in FX-PCT and upgrade a field controller:

  1. Download the FXFieldControllerPackageFiles6.2.2.6.zip package file to your hard drive from the Firmware Package Location provided above

  2. From the downloaded zip file, extract the contents of the zip files to this location: C:\ProgramData\JohnsonControls\MetasysIII\Field Controller Packages. This is the location where FX-PCT expects package files. If prompted to overwrite existing files, select Yes to all. It is safe to overwrite the older files.

  3. Launch FX-PCT.

  4. From the FX-PCT main window, click Define Hardware. Select Packages tab.

  5. Click Import, and select the zip files for the controllers that you want to update4 with new 6.2.2.6 firmware. (You unpacked these files in Step 2.)

  6. On the Define Hardware window, click Close.

  7. Upload the application in the controller to FX-PCT before downloading the new boot code and main code.

    IMPORTANT: When you download the main code to the controller, the application code in the controller is deleted. Uploading the application prior to downloading allows you to reinstall it on the field controller.

  8. Download boot code, main code, and the application to the field controller. Refer to Loading Devices section in the Controller Tool Help (LIT -12011147) for directions on downloading to a field controller.

  9. Use the Load Summary Screen in the Load Wizard to confirm that the version of boot code and main code (the new firmware version number) is 6.2.2.6. Refer to the Loading Devices section of the Controller Tool Help (LIT - 12011147) for more information.

Firmware Update 6.2.2.6 Contents

The FXControllerPackageFiles_6.2.2.6.zip file contains the following files and folders.

  • FXControllerPackageFiles6.2.2.6: folder that contains files required for updating firmware

  • Flash Sheet: FX Field Controller Firmware Upgrade Packages at Version 6.2.2.6 (LIT-2018F029)

Tech Tips Kick Off!

Tech Tips Photo.png

To kick off Jackson Control Tech Tips, we are going to give you information regarding a question that we have been getting asked around Jackson Control headquarters.

Q: Will Niagara 4.6 run on my Window's Server ‘X’

A: See the platform requirements below for Niagara 4.6

Niagara 4 Supervisors may run acceptably on lower-rated platforms, or may even require more powerful platforms, depending on the application, number if data points integrated, data poll rate, number of con-current users, performance expectations, etc.

  • Processor: Intel Xeon CPU E5-2640 x64 (or better), compatible with dual– and quad-core processors

  • Operating System: Windows 7 professional/Enterprise/Ultimate (32 and 64 bit), Windows 8.1 Professional/Enterprise/Ultimate (32 and 64 bit) Windows 10 (32 and 64 bit), Windows Server 2012 R2 (SP2) Standard/Enterprise, Windows Server 2016, Red Hat Enterprise Linux 7.4

  • Memory: 6 GB minimum, 8 GB or more recommended for larger systems

  • Hard Drive: 4 GB minimum, more recommended depending on archiving requirements

  • Display: Video card and monitor capable of displaying 1024 x 768 pixel resolution or greater

  • Network Support: Ethernet adapter (10/100 Mb with RJ-45 connector)

  • Connectivity: Full-time high-speed ISP connection recommended for remote site access (i.e., T1, ADSL, cable modem) and IPv6 compliant

Platform requirements for older versions of Niagara Supervisors are included in the release notes for each particular version.